VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "VB6 vers VB5"
   ClientHeight    =   2295
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7755
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   2295
   ScaleWidth      =   7755
   StartUpPosition =   2  'CenterScreen
   Begin VB.ListBox lstInvalide 
      Height          =   1230
      Left            =   5400
      TabIndex        =   7
      Top             =   600
      Width           =   2175
   End
   Begin VB.CommandButton cmdInvalide 
      Caption         =   "VB6 seulement"
      Height          =   375
      Left            =   3720
      TabIndex        =   6
      Top             =   120
      Width           =   1455
   End
   Begin VB.CommandButton cmdOpen 
      Caption         =   "Ouvrir..."
      Enabled         =   0   'False
      Height          =   375
      Left            =   3720
      TabIndex        =   5
      Top             =   1800
      Width           =   1455
   End
   Begin VB.CommandButton cmdConvert 
      Caption         =   "Convertir"
      Enabled         =   0   'False
      Height          =   375
      Left            =   3720
      TabIndex        =   4
      Top             =   960
      Width           =   1455
   End
   Begin VB.TextBox txtVB5 
      Height          =   285
      Left            =   120
      TabIndex        =   2
      Top             =   1440
      Width           =   5055
   End
   Begin VB.TextBox txtVB6 
      Height          =   285
      Left            =   120
      OLEDropMode     =   1  'Manual
      TabIndex        =   0
      Top             =   600
      Width           =   5055
   End
   Begin VB.Label Label3 
      Caption         =   "liste des clefs incorrectes qui seront supprimes :"
      Height          =   375
      Left            =   5400
      TabIndex        =   9
      Top             =   120
      Width           =   2175
   End
   Begin VB.Label lblLink 
      Alignment       =   2  'Center
      AutoSize        =   -1  'True
      Caption         =   "www.ClarkWAN.com"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   -1  'True
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FF0000&
      Height          =   240
      Left            =   5400
      MouseIcon       =   "Form1.frx":0000
      MousePointer    =   99  'Custom
      TabIndex        =   8
      Top             =   1920
      Width           =   2220
   End
   Begin VB.Label Label2 
      AutoSize        =   -1  'True
      Caption         =   "Projet VB5 de sortie"
      Height          =   195
      Left            =   120
      TabIndex        =   3
      Top             =   1200
      Width           =   1395
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "Projet VB6  convertir"
      Height          =   195
      Left            =   120
      TabIndex        =   1
      Top             =   360
      Width           =   1545
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'
' Conversion des projets VB6 vers VB5
' http://www.clarkwan.com
'_____________________________________

Option Explicit
Dim ClefInvalides As Collection
Dim VB6 As String
Dim VB5 As String

Private Sub LoadInvalide()
    Dim Tempo As String
    Dim fileclef As String
    On Error GoTo gestion_erreur
    Set ClefInvalides = New Collection
    lstInvalide.Clear
    fileclef = App.Path & "\OnlyVB6.txt"
    Open fileclef For Input As #1
 
    While Not EOF(1)
        Line Input #1, Tempo
        ClefInvalides.Add Tempo
        lstInvalide.AddItem Tempo
    Wend
 
    Close #1
    Exit Sub
gestion_erreur:
    MsgBox "ERR:" & CStr(Err.Number) & " pendant le chargement." & vbCrLf & Err.Description, vbCritical
End Sub

Private Function MakeCopy() As Boolean
    Dim canWrite As Boolean
    Dim Tempo As String
    Dim clef
    On Error GoTo gestion_erreur
    VB6 = txtVB6
    VB5 = txtVB5
    Open VB6 For Input As #1
    Open VB5 For Output As #2
 
    While Not EOF(1)
        canWrite = True
        Line Input #1, Tempo
 
        For Each clef In ClefInvalides
            If InStr(1, Tempo, clef & "=") = 1 Then
                canWrite = False
            End If
        Next
 
        If canWrite Then
            Print #2, Tempo
        End If
 
    Wend
 
    Close #2
    Close #1
    MakeCopy = True
    Exit Function
gestion_erreur:
    MsgBox "ERR:" & CStr(Err.Number) & " pendant la copie." & vbCrLf & Err.Description, vbCritical
    MakeCopy = False
End Function

Private Sub cmdConvert_Click()
    If MakeCopy Then cmdOpen.Enabled = True
End Sub

Private Sub cmdInvalide_Click()
    If Me.Width = 7845 Then
        Me.Width = 5430
    Else
        LoadInvalide
        Me.Width = 7845
    End If
End Sub

Private Sub cmdOpen_Click()
    Me.WindowState = vbMinimized
    ShellEx txtVB5
End Sub

Private Sub Form_Load()
    If Command$ <> "" Then txtVB6 = Command$
    LoadInvalide
    Me.Width = 7845
End Sub

Private Sub lblLink_Click()
    ShellEx "http://www.clarkwan.com"
End Sub

Private Sub lstInvalide_Click()
    If MsgBox("Voulez-vous diter le fichier de clefs :" & vbCrLf & App.Path & "\OnlyVb6.txt", vbQuestion + vbYesNo) = vbYes Then
        ShellEx App.Path & "\OnlyVb6.txt"
    End If
End Sub

Private Sub txtVB6_Change()
    On Error Resume Next
 
    If InStr(1, txtVB6, ".vbp") <> 0 Then
        txtVB5 = Left$(txtVB6, Len(txtVB6) - 4) & "VB5.vbp"
        cmdConvert.Enabled = IIf(Dir(txtVB6, vbNormal) <> "", True, False)
    Else
        cmdConvert.Enabled = False
        cmdOpen.Enabled = False
    End If
 
End Sub

Private Sub txtVB6_OLEDragDrop(Data As DataObject, Effect As Long, Button As Integer, Shift As Integer, X As Single, Y As Single)
    Dim I As Integer
    If Data.GetFormat(vbCFFiles) Then txtVB6 = Data.Files(1)
End Sub
